import express from 'express';
export declare class WebServer {
    app: express.Application;
    port: number;
    host: string;
    path: string;
    constructor(port: number, host?: string, path?: string);
    start(): Promise<void>;
    setupSwapsRoute(data: string): void;
    addRoute(route: string, handler: (req: express.Request, res: express.Response) => void): void;
}
